#include "paketto.h"
#include "pk_crypt.h"


struct frame *build_generic_syn(struct frame *x);
long bake_syncookie(u_char *ipp, u_char *key);
long munch_syncookie(u_char *ipp, u_char *key);
int raw_sock_syn_scan(char *dest, int length, char *dev, struct frame *scanx,
                      char *ttlrange, char *seed, char *bandwidth, int verbose, int resolve,
                      int disable_seq);
int parse_dest(char *dest, int length, char *shortdest, int multi);
